/*!
  \example lua/move_straight.cpp

  \brief 「まっすぐ走って止まる」サンプル

  \author Satofumi KAMIMURA

  $Id: move_straight.cpp 1379 2009-10-07 22:24:21Z satofumi $
*/

#include <qrk_main.h>
#include <LuaHandler.h>
#include <luabindInit.h>
#include <luabindBeegoDrive.h>

using namespace qrk;


int main(int argc, char *argv[])
{
  static_cast<void>(argc);
  static_cast<void>(argv);

  lua_State* L = luabindInit();
  luabindBeegoDrive(L);
  return LuaHandler::dofile(L, "move_straight.lua");
}
